Skip to main content
`Ctrl`+`K`

# MatSeqAIJCUSPARSEGetArray

gives read-write access to the array where the device data for a `MATSEQAIJCUSPARSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJCUSPARSEGetArray(Mat A, PetscScalar **a)

Not Collective

## Input Parameter

- A - a `MATSEQAIJCUSPARSE` matrix

## Output Parameter

- a - pointer to the device data

## Note

Will trigger host-to-device copies if the most up-to-date matrix data is on the host

## See Also

Matrices, `Mat`, `MatSeqAIJCUSPARSEGetArrayRead()`, `MatSeqAIJCUSPARSEGetArrayWrite()`, `MatSeqAIJCUSPARSERestoreArray()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages